summaryrefslogtreecommitdiffabout
Side-by-side diff
Diffstat (more/less context) (ignore whitespace changes)
-rwxr-xr-xautogen.sh8
1 files changed, 5 insertions, 3 deletions
diff --git a/autogen.sh b/autogen.sh
index ba27501..bf32a35 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,7 +1,9 @@
#!/bin/sh
-WANT_AUTOMAKE=1.8
-export WANT_AUTOMAKE
-libtoolize -f \
+tool_libtoolize="$(type -P glibtoolize || type -P libtoolize)"
+if test -z "$tool_libtoolize" ; then
+ echo "Failed to find libtoolize." ; exit 1;
+fi
+ "$tool_libtoolize" -f \
&& aclocal \
&& autoheader \
&& automake -a \